org.apache.cassandra.service

## Class NativeTransportService

- java.lang.Object
- - org.apache.cassandra.service.NativeTransportService

-     public class NativeTransportService
      extends java.lang.Object

  Handles native transport server lifecycle and associated resources. Lazily initialized.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeTransportService()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Ultimately stops servers and closes all resources.
    `boolean` | `isRunning()`
    `void` | `start()` Starts native transport servers.
    `void` | `stop()` Stops currently running native transport servers.
    `static boolean` | `useEpoll()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeTransportService

          public NativeTransportService()

  - ### Method Detail

    - #### start

          public void start()

      Starts native transport servers.

    - #### stop

          public void stop()

      Stops currently running native transport servers.

    - #### destroy

          public void destroy()

      Ultimately stops servers and closes all resources.

    - #### useEpoll

          public static boolean useEpoll()

      Returns:
        intend to use epoll bassed event looping

    - #### isRunning

          public boolean isRunning()

      Returns:
        true in case native transport server is running

Copyright © 2018 The Apache Software Foundation